summaryrefslogtreecommitdiff
path: root/debian/libqt4-dev.postinst
diff options
context:
space:
mode:
authorBrian Nelson <pyro@debian.org>2005-07-06 06:58:25 +0000
committerBrian Nelson <pyro@debian.org>2005-07-06 06:58:25 +0000
commit7438d1113b008242033fd64a0d947beab5c94a3b (patch)
tree80d4449fd17b17bbc2162fbba42ceae282265020 /debian/libqt4-dev.postinst
downloadqt4-x11-7438d1113b008242033fd64a0d947beab5c94a3b.tar.gz
importing initial qt4 packaging
Diffstat (limited to 'debian/libqt4-dev.postinst')
-rw-r--r--debian/libqt4-dev.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/libqt4-dev.postinst b/debian/libqt4-dev.postinst
new file mode 100644
index 0000000..2836703
--- /dev/null
+++ b/debian/libqt4-dev.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --install \
+ /usr/bin/moc moc "/usr/bin/moc-qt4" "40" \
+ --slave /usr/share/man/man1/moc.1.gz moc.1.gz \
+ "/usr/share/man/man1/moc-qt4.1.gz"
+
+update-alternatives --install \
+ /usr/bin/uic uic "/usr/bin/uic-qt4" "40" \
+ --slave /usr/share/man/man1/uic.1.gz uic.1.gz \
+ "/usr/share/man/man1/uic-qt4.1.gz"
+
+update-alternatives --install \
+ /usr/bin/qmake qmake "/usr/bin/qmake-qt4" "40" \
+ --slave /usr/share/man/man1/qmake.1.gz qmake.1.gz \
+ "/usr/share/man/man1/qmake-qt4.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lupdate lupdate "/usr/bin/lupdate-qt4" "40" \
+ --slave /usr/share/man/man1/lupdate.1.gz lupdate.1.gz \
+ "/usr/share/man/man1/lupdate-qt4.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lrelease lrelease "/usr/bin/lrelease-qt4" "40" \
+ --slave /usr/share/man/man1/lrelease.1.gz lrelease.1.gz \
+ "/usr/share/man/man1/lrelease-qt4.1.gz"
+
+#DEBHELPER#